<h2>Primer ejercicio</h2>
<div
  class="container-compare">
  <mat-card
    class="m-1"
  >
    <h3>Elemento original</h3>
    <ul>
      <li
      *ngFor="let element of array">
        <pre>{{toString(element)}}</pre>
      </li>
    </ul>
  </mat-card>
  <mat-card class="m-1">
    <h3>Arreglo resultado:</h3>
    <ul>
      <li *ngFor="let element of resultados(array)">
        <pre>{{toString(element)}}</pre>
      </li>
    </ul>
  </mat-card>
</div>
<div
  class="container-compare">
  <mat-card class="m-1">
    <h3>Elemento original</h3>
    <ul>
      <li
      *ngFor="let element of secondArray">
        <pre>{{toString(element)}}</pre>
      </li>
    </ul>
  </mat-card>
  <mat-card class="m-1">
    <h3>Arreglo resultado:</h3>
    <ul>
      <li *ngFor="let element of resultados(secondArray)">
        <pre>{{toString(element)}}</pre>
      </li>
    </ul>
  </mat-card>
</div>
<h2>Inverso</h2>
<div
  class="container-compare"
>
  <mat-card class="m-1">
    <h3>Elemento original</h3>
    <ul>
      <li>
        <p>
          {{toString(obj)}}
        </p>
      </li>
    </ul>
  </mat-card>
  <mat-card class="m-1">
    <h3>Arreglo original</h3>
    <ul>
      <li
        *ngFor="let inv of inverse(obj)"
      >
        <pre>
          {{toString(inv)}}
        </pre>
      </li>
    </ul>
  </mat-card>
</div>